##include <bits/stdc++.h>

using namespace std;


int bin(int n, int a[], int x) {

    bool pronadjen=false;
    int poz=0;


    /* Pretrazujemo interval [l, d] */
    int l=0,d=n-1;
    /* Sve dok interval [l, d] nije prazan */
    while(d-l>=1) {
        /* Srednja pozicija intervala [l, d] */
        int s=(l+d)/2;
        if (x==a[s]) {
            /* Element je pronadjen */
            poz=s;
            pronadjen = true;
            break;
        }
        else if(x<a[s]) {
            /* Pretrazujemo interval [l, s-1] */
            d=s-1;
        }
        else {
            /* Pretrazujemo interval [s+1, d] */
            l=s+1;
        }
    }
    if(pronadjen) {
        return poz;
    }
    else {
        return l;
    }

}

int bin2(int n, int a[], int x) {

    bool pronadjen=false;
    int poz=0;


    /* Pretrazujemo interval [l, d] */
    int l=0,d=n-1;
    /* Sve dok interval [l, d] nije prazan */
    while(d-l>=1) {
        /* Srednja pozicija intervala [l, d] */
        int s=(l+d)/2;
        if (x==a[s]) {
            /* Element je pronadjen */
            poz=s;
            pronadjen = true;
            break;
        }
        else if(x<a[s]) {
            /* Pretrazujemo interval [l, s-1] */
            d=s-1;
        }
        else {
            /* Pretrazujemo interval [s+1, d] */
            l=s+1;
        }
    }
    if(pronadjen) {
        return poz;
    }
    else {
        return l-1;
    }

}

int bin3(int n, int a[], int x) {
    for(int i=n/2+1; i>=0; i--) {
       	 	if(a[i]==x){
        		return i;
			}
			else if(a[i]<x)return i;
        }
}


int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int n,m;
    cin>>n>>m;
    int a[200000],b[200000];

    for( int i=0; i<n; i++)cin>>a[i];
    for(int i=0; i<m; i++)cin>>b[i];
    sort(a,a+n);
    int k=a[n/2];

    for( int i=0; i<m; i++) {

        if(b[i]==k)cout<<"0"<<endl;
        else if(b[i]<a[0]) {
            cout<<n+1<<endl;
        }
        else if(b[i]==a[0] and b[i]!=a[1]) {
            cout<<n-1<<endl;
        }
        else if(b[i]<k ) {
            int h=b[i];
            int y=bin3(n,a, h);

            cout<<n-y*2-1<<endl;
        }


        else if(b[i]>a[n-1]) {
            cout<<n<<endl;
        }
        else if(b[i]==a[n-1] and b[i]!=a[n-2]) {
            cout<<n-1<<endl;
        }
        else {
            int o=b[i];
            int x=bin(n,a, o);
            cout<<(x*2)-n<<endl;
        }
    }

}